import { AfterViewInit, Injector } from '@angular/core';
import { StylableComponent } from '@wm/components/base';
import { SegmentContentComponent } from './segment-content/segment-content.component';
import * as i0 from "@angular/core";
export declare class SegmentedControlComponent extends StylableComponent implements AfterViewInit {
    static initializeProps: void;
    private _$container;
    contents: SegmentContentComponent[];
    currentSelectedIndex: number;
    constructor(inj: Injector, explicitContext: any);
    addContent(content: SegmentContentComponent): void;
    goToNext(): void;
    goToPrev(): void;
    ngAfterViewInit(): void;
    onPropertyChange(key: any, nv: any, ov?: any): void;
    removeContent(content: SegmentContentComponent): void;
    showContent(content: number | SegmentContentComponent, $event?: any, defaultLoad?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SegmentedControlComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SegmentedControlComponent, "[wmSegmentedControl]", never, {}, {}, never, ["*"], false, never>;
}
